// Emacs style mode select	 -*- C++ -*- 
//-----------------------------------------------------------------------------
//
// $Id:$
//
// Copyright (C) 1993-1996 by id Software, Inc.
//
// This source is available for distribution and/or modification
// only under the terms of the DOOM Source Code License as
// published by id Software. All rights reserved.
//
// The source is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// FITNESS FOR A PARTICULAR PURPOSE. See the DOOM Source Code License
// for more details.
//
//
// $Log:$
//
// DESCRIPTION:
//		DOOM strings, by language.
//
//-----------------------------------------------------------------------------


#ifndef __DSTRINGS__
#define __DSTRINGS__

#include "b_info.h"

void D_InitStrings (void);

void ReplaceString (char **ptr, char *str);


// QuitDOOM messages
#define NUM_QUITMESSAGES   14

extern char* endmsg[];

// [RH] String handling has changed significantly and is no longer static per build.
typedef enum {
	str_notchanged,
	str_patched,
	str_custom
} strtype_t;

typedef struct gamestring_s {
	strtype_t	 type;
	char		*name;
	char		*builtin;
	char		*string;
} gamestring_t;

typedef struct {
	char		*string;
	chattype_t  bot;
	chatline_t	*line;
} botstring_t;

extern const int NUMBOTSTRINGS;
extern botstring_t botstrings[];

// Replacement string defines for the ones that used to reside in d_englsh.h and d_french.h
#define D_DEVSTR			(Strings[0].string)
#define D_CDROM				(Strings[1].string)

#define PRESSKEY			(Strings[2].string)
#define PRESSYN				(Strings[3].string)
#define QUITMSG				(Strings[4].string)
#define LOADNET				(Strings[5].string)
#define QLOADNET			(Strings[6].string)
#define QSAVESPOT			(Strings[7].string)
#define SAVEDEAD			(Strings[8].string)
#define QSPROMPT			(Strings[9].string)
#define QLPROMPT			(Strings[10].string)

#define NEWGAME				(Strings[11].string)
#define NIGHTMARE			(Strings[12].string)
#define SWSTRING			(Strings[13].string)

#define MSGOFF				(Strings[14].string)
#define MSGON				(Strings[15].string)
#define NETEND				(Strings[16].string)
#define ENDGAME				(Strings[17].string)

#define DOSY				(Strings[18].string)

#define EMPTYSTRING			(Strings[19].string)

#define GOTARMOR			(Strings[20].string)
#define GOTMEGA				(Strings[21].string)
#define	GOTHTHBONUS			(Strings[22].string)
#define GOTARMBONUS			(Strings[23].string)
#define	GOTSTIM				(Strings[24].string)
#define GOTMEDINEED			(Strings[25].string)
#define GOTMEDIKIT			(Strings[26].string)
#define GOTSUPER			(Strings[27].string)

#define GOTBLUECARD			(Strings[28].string)
#define GOTYELWCARD			(Strings[29].string)
#define GOTREDCARD			(Strings[30].string)
#define GOTBLUESKUL			(Strings[31].string)
#define GOTYELWSKUL			(Strings[32].string)
#define GOTREDSKULL			(Strings[33].string)

#define GOTINVUL			(Strings[34].string)
#define GOTBERSERK			(Strings[35].string)
#define GOTINVIS			(Strings[36].string)
#define GOTSUIT				(Strings[37].string)
#define GOTMAP				(Strings[38].string)
#define GOTVISOR			(Strings[39].string)
#define GOTMSPHERE			(Strings[40].string)

#define GOTCLIP				(Strings[41].string)
#define GOTCLIPBOX			(Strings[42].string)
#define GOTROCKET			(Strings[43].string)
#define GOTROCKBOX			(Strings[44].string)
#define GOTCELL				(Strings[45].string)
#define	GOTCELLBOX			(Strings[46].string)
#define	GOTSHELLS			(Strings[47].string)
#define GOTSHELLBOX			(Strings[48].string)
#define GOTBACKPACK			(Strings[49].string)

#define GOTBFG9000			(Strings[50].string)
#define GOTCHAINGUN			(Strings[51].string)
#define GOTCHAINSAW			(Strings[52].string)
#define GOTLAUNCHER			(Strings[53].string)
#define GOTPLASMA			(Strings[54].string)
#define GOTSHOTGUN			(Strings[55].string)
#define GOTSHOTGUN2			(Strings[56].string)

#define PD_BLUEO			(Strings[57].string)
#define PD_REDO				(Strings[58].string)
#define PD_YELLOWO			(Strings[59].string)
#define PD_BLUEK			(Strings[60].string)
#define PD_REDK				(Strings[61].string)
#define PD_YELLOWK			(Strings[62].string)

#define GGSAVED				(Strings[63].string)

#define HUSTR_MSGU			(Strings[64].string)

#define HUSTR_E1M1			(Strings[65].string)
#define HUSTR_E1M2			(Strings[66].string)
#define HUSTR_E1M3			(Strings[67].string)
#define HUSTR_E1M4			(Strings[68].string)
#define HUSTR_E1M5			(Strings[69].string)
#define HUSTR_E1M6			(Strings[70].string)
#define HUSTR_E1M7			(Strings[71].string)
#define HUSTR_E1M8			(Strings[72].string)
#define HUSTR_E1M9			(Strings[73].string)

#define HUSTR_E2M1			(Strings[74].string)
#define HUSTR_E2M2			(Strings[75].string)
#define HUSTR_E2M3			(Strings[76].string)
#define HUSTR_E2M4			(Strings[77].string)
#define HUSTR_E2M5			(Strings[78].string)
#define HUSTR_E2M6			(Strings[79].string)
#define HUSTR_E2M7			(Strings[80].string)
#define HUSTR_E2M8			(Strings[81].string)
#define HUSTR_E2M9			(Strings[82].string)

#define HUSTR_E3M1			(Strings[83].string)
#define HUSTR_E3M2			(Strings[84].string)
#define HUSTR_E3M3			(Strings[85].string)
#define HUSTR_E3M4			(Strings[86].string)
#define HUSTR_E3M5			(Strings[87].string)
#define HUSTR_E3M6			(Strings[88].string)
#define HUSTR_E3M7			(Strings[89].string)
#define HUSTR_E3M8			(Strings[90].string)
#define HUSTR_E3M9			(Strings[91].string)

#define HUSTR_E4M1			(Strings[92].string)
#define HUSTR_E4M2			(Strings[93].string)
#define HUSTR_E4M3			(Strings[94].string)
#define HUSTR_E4M4			(Strings[95].string)
#define HUSTR_E4M5			(Strings[96].string)
#define HUSTR_E4M6			(Strings[97].string)
#define HUSTR_E4M7			(Strings[98].string)
#define HUSTR_E4M8			(Strings[99].string)
#define HUSTR_E4M9			(Strings[100].string)

#define HUSTR_1				(Strings[101].string)
#define HUSTR_2				(Strings[102].string)
#define HUSTR_3				(Strings[103].string)
#define HUSTR_4				(Strings[104].string)
#define HUSTR_5				(Strings[105].string)
#define HUSTR_6				(Strings[106].string)
#define HUSTR_7				(Strings[107].string)
#define HUSTR_8				(Strings[108].string)
#define HUSTR_9				(Strings[109].string)
#define HUSTR_10			(Strings[110].string)
#define HUSTR_11			(Strings[111].string)

#define HUSTR_12			(Strings[112].string)
#define HUSTR_13			(Strings[113].string)
#define HUSTR_14			(Strings[114].string)
#define HUSTR_15			(Strings[115].string)
#define HUSTR_16			(Strings[116].string)
#define HUSTR_17			(Strings[117].string)
#define HUSTR_18			(Strings[118].string)
#define HUSTR_19			(Strings[119].string)
#define HUSTR_20			(Strings[120].string)

#define HUSTR_21			(Strings[121].string)
#define HUSTR_22			(Strings[122].string)
#define HUSTR_23			(Strings[123].string)
#define HUSTR_24			(Strings[124].string)
#define HUSTR_25			(Strings[125].string)
#define HUSTR_26			(Strings[126].string)
#define HUSTR_27			(Strings[127].string)
#define HUSTR_28			(Strings[128].string)
#define HUSTR_29			(Strings[129].string)
#define HUSTR_30			(Strings[130].string)

#define HUSTR_31			(Strings[131].string)
#define HUSTR_32			(Strings[132].string)

#define PHUSTR_1			(Strings[133].string)
#define PHUSTR_2			(Strings[134].string)
#define PHUSTR_3			(Strings[135].string)
#define PHUSTR_4			(Strings[136].string)
#define PHUSTR_5			(Strings[137].string)
#define PHUSTR_6			(Strings[138].string)
#define PHUSTR_7			(Strings[139].string)
#define PHUSTR_8			(Strings[140].string)
#define PHUSTR_9			(Strings[141].string)
#define PHUSTR_10			(Strings[142].string)
#define PHUSTR_11			(Strings[143].string)

#define PHUSTR_12			(Strings[144].string)
#define PHUSTR_13			(Strings[145].string)
#define PHUSTR_14			(Strings[146].string)
#define PHUSTR_15			(Strings[147].string)
#define PHUSTR_16			(Strings[148].string)
#define PHUSTR_17			(Strings[149].string)
#define PHUSTR_18			(Strings[150].string)
#define PHUSTR_19			(Strings[151].string)
#define PHUSTR_20			(Strings[152].string)

#define PHUSTR_21			(Strings[153].string)
#define PHUSTR_22			(Strings[154].string)
#define PHUSTR_23			(Strings[155].string)
#define PHUSTR_24			(Strings[156].string)
#define PHUSTR_25			(Strings[157].string)
#define PHUSTR_26			(Strings[158].string)
#define PHUSTR_27			(Strings[159].string)
#define PHUSTR_28			(Strings[160].string)
#define PHUSTR_29			(Strings[161].string)
#define PHUSTR_30			(Strings[162].string)

#define PHUSTR_31			(Strings[163].string)
#define PHUSTR_32			(Strings[164].string)

#define THUSTR_1			(Strings[165].string)
#define THUSTR_2			(Strings[166].string)
#define THUSTR_3			(Strings[167].string)
#define THUSTR_4			(Strings[168].string)
#define THUSTR_5			(Strings[169].string)
#define THUSTR_6			(Strings[170].string)
#define THUSTR_7			(Strings[171].string)
#define THUSTR_8			(Strings[172].string)
#define THUSTR_9			(Strings[173].string)
#define THUSTR_10			(Strings[174].string)
#define THUSTR_11			(Strings[175].string)

#define THUSTR_12			(Strings[176].string)
#define THUSTR_13			(Strings[177].string)
#define THUSTR_14			(Strings[178].string)
#define THUSTR_15			(Strings[179].string)
#define THUSTR_16			(Strings[180].string)
#define THUSTR_17			(Strings[181].string)
#define THUSTR_18			(Strings[182].string)
#define THUSTR_19			(Strings[183].string)
#define THUSTR_20			(Strings[184].string)

#define THUSTR_21			(Strings[185].string)
#define THUSTR_22			(Strings[186].string)
#define THUSTR_23			(Strings[187].string)
#define THUSTR_24			(Strings[188].string)
#define THUSTR_25			(Strings[189].string)
#define THUSTR_26			(Strings[190].string)
#define THUSTR_27			(Strings[191].string)
#define THUSTR_28			(Strings[192].string)
#define THUSTR_29			(Strings[193].string)
#define THUSTR_30			(Strings[194].string)

#define THUSTR_31			(Strings[195].string)
#define THUSTR_32			(Strings[196].string)

#define HUSTR_CHATMACRO1	"I'm ready to kick butt!"
#define HUSTR_CHATMACRO2	"I'm OK."
#define HUSTR_CHATMACRO3	"I'm not looking too good!"
#define HUSTR_CHATMACRO4	"Help!"
#define HUSTR_CHATMACRO5	"You suck!"
#define HUSTR_CHATMACRO6	"Next time, scumbag..."
#define HUSTR_CHATMACRO7	"Come here!"
#define HUSTR_CHATMACRO8	"I'll take care of it."
#define HUSTR_CHATMACRO9	"Yes"
#define HUSTR_CHATMACRO0	"No"

#define HUSTR_TALKTOSELF1	(Strings[197].string)
#define HUSTR_TALKTOSELF2	(Strings[198].string)
#define HUSTR_TALKTOSELF3	(Strings[199].string)
#define HUSTR_TALKTOSELF4	(Strings[200].string)
#define HUSTR_TALKTOSELF5	(Strings[201].string)

#define HUSTR_MESSAGESENT	(Strings[202].string)

#define AMSTR_FOLLOWON		(Strings[203].string)
#define AMSTR_FOLLOWOFF		(Strings[204].string)

#define AMSTR_GRIDON		(Strings[205].string)
#define AMSTR_GRIDOFF		(Strings[206].string)

#define AMSTR_MARKEDSPOT	(Strings[207].string)
#define AMSTR_MARKSCLEARED	(Strings[208].string)

#define STSTR_MUS			(Strings[209].string)
#define STSTR_NOMUS			(Strings[210].string)
#define STSTR_DQDON			(Strings[211].string)
#define STSTR_DQDOFF		(Strings[212].string)

#define STSTR_KFAADDED		(Strings[213].string)
#define STSTR_FAADDED		(Strings[214].string)

#define STSTR_NCON			(Strings[215].string)
#define STSTR_NCOFF			(Strings[216].string)

#define	STSTR_BEHOLD		(Strings[217].string)
#define STSTR_BEHOLDX		(Strings[218].string)

#define STSTR_CHOPPERS		(Strings[219].string)
#define STSTR_CLEV			(Strings[220].string)

#define E1TEXT				(Strings[221].string)
#define E2TEXT				(Strings[222].string)
#define E3TEXT				(Strings[223].string)
#define E4TEXT				(Strings[224].string)

#define C1TEXT				(Strings[225].string)
#define C2TEXT				(Strings[226].string)
#define C3TEXT				(Strings[227].string)
#define C4TEXT				(Strings[228].string)
#define C5TEXT				(Strings[229].string)
#define C6TEXT				(Strings[230].string)

#define P1TEXT				(Strings[231].string)
#define P2TEXT				(Strings[232].string)
#define P3TEXT				(Strings[233].string)
#define P4TEXT				(Strings[234].string)
#define P5TEXT				(Strings[235].string)
#define P6TEXT				(Strings[236].string)

#define T1TEXT				(Strings[237].string)
#define T2TEXT				(Strings[238].string)
#define T3TEXT				(Strings[239].string)
#define T4TEXT				(Strings[240].string)
#define T5TEXT				(Strings[241].string)
#define T6TEXT				(Strings[242].string)

#define CC_ZOMBIE			(Strings[243].string)
#define CC_SHOTGUN			(Strings[244].string)
#define CC_HEAVY			(Strings[245].string)
#define CC_IMP				(Strings[246].string)
#define CC_DEMON			(Strings[247].string)
#define CC_LOST				(Strings[248].string)
#define CC_CACO				(Strings[249].string)
#define CC_HELL				(Strings[250].string)
#define CC_BARON			(Strings[251].string)
#define CC_ARACH			(Strings[252].string)
#define CC_PAIN				(Strings[253].string)
#define CC_REVEN			(Strings[254].string)
#define CC_MANCU			(Strings[255].string)
#define CC_ARCH				(Strings[256].string)
#define CC_SPIDER			(Strings[257].string)
#define CC_CYBER			(Strings[258].string)
#define CC_HERO				(Strings[259].string)

#define PD_BLUEC			(Strings[260].string)
#define PD_REDC				(Strings[261].string)
#define PD_YELLOWC			(Strings[262].string)
#define PD_BLUES			(Strings[263].string)
#define PD_REDS				(Strings[264].string)
#define PD_YELLOWS			(Strings[265].string)
#define PD_ANY				(Strings[266].string)
#define PD_ALL3				(Strings[267].string)
#define PD_ALL6				(Strings[268].string)

#define OB_SUICIDE			(Strings[269].string)
#define OB_FALLING			(Strings[270].string)
#define OB_CRUSH			(Strings[271].string)
#define OB_EXIT				(Strings[272].string)
#define OB_WATER			(Strings[273].string)
#define OB_SLIME			(Strings[274].string)
#define OB_LAVA				(Strings[275].string)
#define OB_BARREL			(Strings[276].string)
#define OB_SPLASH			(Strings[277].string)
#define OB_R_SPLASH			(Strings[278].string)
#define OB_ROCKET			(Strings[279].string)
#define OB_KILLEDSELF		(Strings[280].string)
#define OB_STEALTHBABY		(Strings[281].string)
#define OB_STEALTHVILE		(Strings[282].string)
#define OB_STEALTHBARON		(Strings[283].string)
#define OB_STEALTHCACO		(Strings[284].string)
#define OB_STEALTHCHAINGUY	(Strings[285].string)
#define OB_STEALTHDEMON		(Strings[286].string)
#define OB_STEALTHKNIGHT	(Strings[287].string)
#define OB_STEALTHIMP		(Strings[288].string)
#define OB_STEALTHFATSO		(Strings[289].string)
#define OB_STEALTHUNDEAD	(Strings[290].string)
#define OB_STEALTHSHOTGUY	(Strings[291].string)
#define OB_STEALTHZOMBIE	(Strings[292].string)
#define OB_UNDEADHIT		(Strings[293].string)
#define OB_IMPHIT			(Strings[294].string)
#define OB_CACOHIT			(Strings[295].string)
#define OB_DEMONHIT			(Strings[296].string)
#define OB_SPECTREHIT		(Strings[297].string)
#define OB_BARONHIT			(Strings[298].string)
#define OB_KNIGHTHIT		(Strings[299].string)
#define OB_ZOMBIE			(Strings[300].string)
#define OB_SHOTGUY			(Strings[301].string)
#define OB_VILE				(Strings[302].string)
#define OB_UNDEAD			(Strings[303].string)
#define OB_FATSO			(Strings[304].string)
#define OB_CHAINGUY			(Strings[305].string)
#define OB_SKULL			(Strings[306].string)
#define OB_IMP				(Strings[307].string)
#define OB_CACO				(Strings[308].string)
#define OB_BARON			(Strings[309].string)
#define OB_KNIGHT			(Strings[310].string)
#define OB_SPIDER			(Strings[311].string)
#define OB_BABY				(Strings[312].string)
#define OB_CYBER			(Strings[313].string)	// [BC]
#define OB_WOLFSS			(Strings[314].string)
#define OB_MPFIST			(Strings[315].string)
#define OB_MPCHAINSAW		(Strings[316].string)
#define OB_MPPISTOL			(Strings[317].string)
#define OB_MPSHOTGUN		(Strings[318].string)
#define OB_MPSSHOTGUN		(Strings[319].string)
#define OB_MPCHAINGUN		(Strings[320].string)
#define OB_MPROCKET			(Strings[321].string)
#define OB_MPR_SPLASH		(Strings[322].string)
#define OB_MPPLASMARIFLE	(Strings[323].string)
#define OB_MPBFG_BOOM		(Strings[324].string)
#define OB_MPBFG_SPLASH		(Strings[325].string)
#define OB_MPTELEFRAG		(Strings[326].string)
#define OB_DEFAULT			(Strings[327].string)
#define OB_FRIENDLY1		(Strings[328].string)
#define OB_FRIENDLY2		(Strings[329].string)
#define OB_FRIENDLY3		(Strings[330].string)
#define OB_FRIENDLY4		(Strings[331].string)
#define OB_RAILGUN			(Strings[332].string)	

#define SAVEGAMENAME		(Strings[333].string)

#define STARTUP1			(Strings[334].string)
#define STARTUP2			(Strings[335].string)
#define STARTUP3			(Strings[336].string)
#define STARTUP4			(Strings[337].string)
#define STARTUP5			(Strings[338].string)

// [BC] Start of new ST things

#define GOTFIRE				(Strings[339].string)
#define GOTTURBO			(Strings[340].string)
#define GOTANTI 			(Strings[341].string)

#define GOTBLACKSKULL		(Strings[342].string)
#define GOTSILVERSKULL		(Strings[343].string)
#define GOTGOLDSKULL		(Strings[344].string)
#define GOTBLACKCARD		(Strings[345].string)
#define GOTSILVERCARD		(Strings[346].string)
#define GOTGOLDCARD			(Strings[347].string)

#define PD_BLACKO			(Strings[348].string)
#define PD_BLACKK			(Strings[349].string)
#define PD_SILVERO			(Strings[350].string)
#define PD_SILVERK			(Strings[351].string)
#define PD_GOLDO			(Strings[352].string)
#define PD_GOLDK			(Strings[353].string)

#define PD_BLACKS			(Strings[354].string)
#define PD_SILVERS			(Strings[355].string)
#define PD_GOLDS			(Strings[356].string)
#define PD_BLACKC			(Strings[357].string)
#define PD_SILVERC			(Strings[358].string)
#define PD_GOLDC			(Strings[359].string)

#define GOTGRENLAUN			(Strings[360].string)
#define GOTRAILGUN			(Strings[361].string)

#define OB_GRENADE			(Strings[362].string)
#define OB_MPGRENADE		(Strings[363].string)

#define OB_IMPSTICK			(Strings[364].string)

#define LOSTARMOR			(Strings[365].string)
#define LOSTMEGA			(Strings[366].string)
#define LOSTFIRE			(Strings[367].string)

#define LOSTBLUECARD		(Strings[368].string)
#define LOSTYELWCARD		(Strings[369].string)
#define LOSTREDCARD			(Strings[370].string)
#define LOSTBLUESKULL		(Strings[371].string)
#define LOSTYELWSKULL		(Strings[372].string)
#define LOSTREDSKULL		(Strings[373].string)
#define LOSTBLACKSKULL		(Strings[374].string)
#define LOSTSILVERSKULL		(Strings[375].string)
#define LOSTGOLDSKULL		(Strings[376].string)
#define LOSTBLACKCARD		(Strings[377].string)
#define LOSTSILVERCARD		(Strings[378].string)
#define LOSTGOLDCARD		(Strings[379].string)

#define LOSTINVUL			(Strings[380].string)
#define LOSTBERSERK			(Strings[381].string)
#define LOSTINVIS			(Strings[382].string)
#define LOSTSUIT			(Strings[383].string)
#define LOSTMAP				(Strings[384].string)
#define LOSTVISOR			(Strings[385].string)
#define LOSTTURBO			(Strings[386].string)
#define LOSTANTI 			(Strings[387].string)

#define LOSTBFG9000			(Strings[388].string)
#define LOSTCHAINGUN		(Strings[389].string)
#define LOSTCHAINSAW		(Strings[390].string)
#define LOSTLAUNCHER		(Strings[391].string)
#define LOSTPLASMA			(Strings[392].string)
#define LOSTSHOTGUN			(Strings[393].string)
#define LOSTSHOTGUN2		(Strings[394].string)
#define LOSTGRENLAUN		(Strings[395].string)
#define LOSTRAILGUN			(Strings[396].string)

#define LOSTBACKPACK		(Strings[397].string)

#define GOTTIME				(Strings[398].string)

#define OB_SPACE			(Strings[399].string)

#define GOTMASTERCARD		(Strings[400].string)
#define GOTMASTERSKULL		(Strings[401].string)

#define PD_MASTERO			(Strings[402].string)
#define PD_MASTERK			(Strings[403].string)

#define PD_MASTERS			(Strings[404].string)
#define PD_MASTERC			(Strings[405].string)

#define GOTINFRARED			(Strings[406].string)

#define GOTSTRENGTH			(Strings[407].string)
#define GOTDRAIN			(Strings[408].string)
#define GOTRAGE				(Strings[409].string)
#define GOTRESISTANCE		(Strings[410].string)
#define GOTREGENERATION		(Strings[411].string)
#define GOTPROSPERITY		(Strings[412].string)
#define GOTHIJUMP			(Strings[413].string)
#define GOTHISPEED			(Strings[414].string)
#define GOTSPREAD			(Strings[415].string)
#define GOTINFAMMO			(Strings[416].string)
#define GOTREFLECTION		(Strings[417].string)
#define GOTINFARMOR			(Strings[418].string)

#define	GOTHTHMAXBONUS		(Strings[419].string)
#define GOTARMMAXBONUS		(Strings[420].string)
#define GOTHOVER			(Strings[421].string)

#define OB_R_SPLASH2		(Strings[422].string)
#define OB_ROCKET2			(Strings[423].string)
#define OB_KILLEDSELF2		(Strings[424].string)
#define OB_FALLING2			(Strings[425].string)
#define OB_R_SPLASH3		(Strings[426].string)
#define OB_ROCKET3			(Strings[427].string)
#define OB_EXIT2			(Strings[428].string)

#define LOSTPISTOL			(Strings[429].string)

#define GOTPISTOL			(Strings[430].string)
#define GOTTRACKER			(Strings[431].string)
#define GOTTRANSLUCENCY		(Strings[432].string)

#define OB_R_SPLASHSEC		(Strings[433].string)
#define OB_ROCKETSEC		(Strings[434].string)
#define OB_SWITCH			(Strings[435].string)
#define OB_CYBORG			(Strings[436].string)
#define OB_MPROCKETSEC		(Strings[437].string)
#define OB_MPPLASMARIFLESEC (Strings[438].string)
#define OB_MPBFG_SPLASHSEC	(Strings[439].string)
#define OB_CACOHITSEC		(Strings[440].string)
#define OB_SSGGUY			(Strings[441].string)

#define CC_SSGGUY			(Strings[442].string)

#define OB_BARONHITSEC		(Strings[443].string)
#define OB_MPFISTSEC		(Strings[444].string)
#define OB_MPPISTOLSEC		(Strings[445].string)
#define OB_MPCHAINSAWSEC	(Strings[446].string)
#define OB_MPSSHOTGUNGIB	(Strings[447].string)
#define OB_MPROCKETGIBSEC	(Strings[448].string)
#define OB_MPROCKETGIB		(Strings[449].string)
#define OB_MPROCKETGIB2		(Strings[450].string)
#define OB_MPROCKETGIB3		(Strings[451].string)
#define OB_MPROCKETGIB4		(Strings[452].string)

#define BOT_TAUNT1			(Strings[453].string)
#define BOT_TAUNT2			(Strings[454].string)
#define BOT_TAUNT3			(Strings[455].string)
#define BOT_TAUNT4			(Strings[456].string)
#define BOT_TAUNT5			(Strings[457].string)
#define BOT_TAUNT6			(Strings[458].string)
#define BOT_TAUNT7			(Strings[459].string)
#define BOT_TAUNT8			(Strings[460].string)
#define BOT_TAUNT9			(Strings[461].string)
#define BOT_TAUNT10			(Strings[462].string)
#define BOT_INTER1			(Strings[463].string)
#define BOT_INTER2			(Strings[464].string)
#define BOT_INTRO1			(Strings[465].string)
#define BOT_INTRO2			(Strings[466].string)
#define BOT_INTRO3			(Strings[467].string)
#define BOT_INTRO4			(Strings[468].string)
#define BOT_DEATH1			(Strings[469].string)
#define BOT_DEATH2			(Strings[470].string)
#define BOT_DEATH3			(Strings[471].string)
#define BOT_DEATH4			(Strings[472].string)
#define BOT_DEATH5			(Strings[473].string)
#define BOT_DEATH6			(Strings[474].string)
#define BOT_DEATH7			(Strings[475].string)
#define BOT_DEATH8			(Strings[476].string)
#define BOT_DEATH9			(Strings[477].string)
#define BOT_DEATH10			(Strings[478].string)
#define BOT_PISSED1			(Strings[479].string)
#define BOT_PISSED2			(Strings[480].string)
#define BOT_PISSED3			(Strings[481].string)
#define BOT_ZONE1			(Strings[482].string)
#define BOT_ZONE2			(Strings[483].string)
#define BOT_RARE1			(Strings[484].string)
#define BOT_RARE2			(Strings[485].string)
#define BOT_CHAT1			(Strings[486].string)
#define BOT_CHAT2			(Strings[487].string)
#define BOT_SHAME1			(Strings[488].string)
#define BOT_SHAME2			(Strings[489].string)

#define OB_REFLECTION		(Strings[490].string)

#define MD_EXCELLENT		(Strings[491].string)
#define MD_INCREDIBLE		(Strings[492].string)
#define MD_IMPRESSIVE		(Strings[493].string)
#define MD_MOSTIMPRESSIVE	(Strings[494].string)
#define MD_ACCURACY			(Strings[495].string)
#define MD_PERFECT			(Strings[496].string)
#define MD_REVENGE			(Strings[497].string)

#define HUSTR_DM1			(Strings[498].string)
#define HUSTR_DM2			(Strings[499].string)
#define HUSTR_DM3			(Strings[500].string)
#define HUSTR_DM4			(Strings[501].string)
#define HUSTR_DM5			(Strings[502].string)
#define HUSTR_DM6			(Strings[503].string)
#define HUSTR_DM7			(Strings[504].string)
#define HUSTR_DM8			(Strings[505].string)
#define HUSTR_DM9			(Strings[506].string)
#define HUSTR_DM10			(Strings[507].string)
#define HUSTR_DM11			(Strings[508].string)
#define HUSTR_DM12			(Strings[509].string)

#define GOTBFG10000			(Strings[510].string)

#define DM1TEXT				(Strings[511].string)

#define OB_BFG10K			(Strings[512].string)
#define OB_BFG10KSEC		(Strings[513].string)

#define STSTR_STKFAADDED	(Strings[514].string)
#define STSTR_STFAADDED		(Strings[515].string)

#define MD_DOMINATION		(Strings[516].string)
#define MD_LLAMA			(Strings[517].string)

#define GOTDOOMSPHERE		(Strings[518].string)
#define OB_DARKIMPHIT		(Strings[519].string)
#define OB_DARKIMP			(Strings[520].string)
#define OB_CACOLANTERNHIT	(Strings[521].string)
#define OB_CACOLANTERN		(Strings[522].string)
#define OB_HECTEBUS			(Strings[523].string)

#define CC_DARKIMP			(Strings[524].string)
#define CC_BLOODDEMON		(Strings[525].string)
#define CC_CACOLANTERN		(Strings[526].string)
#define CC_HECTEBUS			(Strings[527].string)

#define OB_MPBFG_BOOMGIBSEC	(Strings[528].string)
#define OB_BLOODDEMONHIT	(Strings[529].string)

#define HUSTR_ST1			(Strings[530].string)
#define HUSTR_ST2			(Strings[531].string)
#define HUSTR_ST3			(Strings[532].string)
#define HUSTR_ST4			(Strings[533].string)
#define HUSTR_ST5			(Strings[534].string)

#define STSTR_HISSYON		(Strings[535].string)
#define STSTR_HISSYOFF		(Strings[536].string)

#define CC_LORD				(Strings[537].string)

#define REDSTR_1			(Strings[538].string)
#define REDSTR_2			(Strings[539].string)
#define REDSTR_3			(Strings[540].string)
#define REDSTR_4			(Strings[541].string)
#define REDSTR_5			(Strings[542].string)
#define REDSTR_6			(Strings[543].string)
#define REDSTR_7			(Strings[544].string)
#define REDSTR_8			(Strings[545].string)
#define REDSTR_9			(Strings[546].string)
#define REDSTR_10			(Strings[547].string)
#define REDSTR_11			(Strings[548].string)
#define REDSTR_12			(Strings[549].string)
#define REDSTR_13			(Strings[550].string)
#define REDSTR_14			(Strings[551].string)
#define REDSTR_15			(Strings[552].string)
#define REDSTR_16			(Strings[553].string)
#define REDSTR_17			(Strings[554].string)
#define REDSTR_18			(Strings[555].string)
#define REDSTR_19			(Strings[556].string)
#define REDSTR_20			(Strings[557].string)
#define REDSTR_21			(Strings[558].string)
#define REDSTR_22			(Strings[559].string)
#define REDSTR_23			(Strings[560].string)
#define REDSTR_24			(Strings[561].string)
#define REDSTR_25			(Strings[562].string)
#define REDSTR_26			(Strings[563].string)
#define REDSTR_27			(Strings[564].string)
#define REDSTR_28			(Strings[565].string)
#define REDSTR_29			(Strings[566].string)
#define REDSTR_30			(Strings[567].string)
#define REDSTR_31			(Strings[568].string)
#define REDSTR_32			(Strings[569].string)

#define OB_MPG_SPLASH		(Strings[570].string)

#define GOTARNOLD			(Strings[571].string)

#define MD_PRECISION		(Strings[572].string)

#define DM2TEXT				(Strings[573].string)

#define OB_G_SPLASH			(Strings[574].string)
#define OB_G_SPLASH2		(Strings[575].string)
#define OB_G_SPLASH3		(Strings[576].string)
#define OB_G_SPLASHSEC		(Strings[577].string)

#define HUSTR_CTF1			(Strings[578].string)
#define HUSTR_CTF2			(Strings[579].string)
#define HUSTR_CTF3			(Strings[580].string)
#define HUSTR_CTF4			(Strings[581].string)
#define HUSTR_CTF5			(Strings[582].string)

#define NUMSTRINGS			583

extern gamestring_t Strings[];

#endif
//-----------------------------------------------------------------------------
//
// $Log:$
//
//-----------------------------------------------------------------------------
